HSCRIPT-SIMULATE(1)

NAME
hscript-simulate - simulate execution of a HorizonScript, or create shell script

SYNOPSIS
hscript-simulate [-hnsv] INSTALLFILE

DESCRIPTION
The hscript-simulate utility simulates the execution of a HorizonScript without actually executing any commands on the host system.

If the hscript-simulate utility is run with stdout redirected to a file, it creates a shell script representation of the HorizonScript, which can then be run on the target computer if it is unable to run the full Horizon execution system.

OPTIONS
The hscript-simulate utility supports the following options:

-h  Displays a help message, and then exits.

-n  Disables colour output and ANSI escape sequences in any log messages. This is the default when not running from a terminal.

-s  Enables Strict mode, which causes more potential issues to be errors instead of warnings.

-v  Displays the version information for this utility, and then exits.

EXIT STATUS

EXAMPLES
The following invocation will simulate execution of the HorizonScript at example.installfile:
    $ hscript-simulate example.installfile

The following invocation will create a shell script representation of the HorizonScript at example.installfile and write it to example.sh:
    $ hscript-simulate example.installfile >example.sh

DIAGNOSTICS

%dateT%time log %location: %status: %message[: %extra] A message of type %status was logged while processing %location. The log message %message may be followed by additional information or hints in %extra.

%dateT%time step-start %step Denotes that the installation step %step is starting. Steps are described in the Steps section of the hscript-executor(8) manual.

%dateT%time step-end %step Denotes that the installation step %step has finished successfully. Steps are described in the Steps section of the hscript-executor(8) manual.

SEE ALSO
hscript-validate(1), hscript(5), hscript-executor(8).

HISTORY
The hscript-simulate command first appeared in Horizon 0.1.

AUTHORS
A. Wilcox <awilfox@adelielinux.org>